package database.service

import database.model.SampleObject
import api.ApiObject
import kotlinx.datetime.toJavaLocalDateTime
import org.jetbrains.exposed.sql.transactions.transaction

class SampleObjectService : ISampleObjectService {

    override fun addOne(apiObject: ApiObject) {
        transaction {
            SampleObject.new {
                tag = apiObject.tag
                device_date = apiObject.device_date.toJavaLocalDateTime()
                device_id = apiObject.device_id
            }
        }
    }
}