package database.dao

import org.jetbrains.exposed.dao.id.IntIdTable
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.`java-time`.datetime
import java.time.LocalDateTime

object SampleObjects : IntIdTable() {
    val tag: Column<String> = varchar("tag", 32)
    val timestamp: Column<LocalDateTime> = datetime("timestamp").default(LocalDateTime.now())
    val device_id: Column<Int> = integer("device_id")
    val device_date: Column<LocalDateTime> = datetime("device_date")
    override val primaryKey = PrimaryKey(id, name = "PK_SampleObject_Id")
}